# FoundationClasses
TKernel
TColStd

# TColStd_Array1OfListOfInteger Class Reference

`#include <TColStd_Array1OfListOfInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_Array1OfListOfInteger (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TColStd_Array1OfListOfInteger (const TColStd_ListOfInteger &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const TColStd_ListOfInteger &V)
Standard_EXPORT void | Destroy ()
| ~TColStd_Array1OfListOfInteger ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const TColStd_Array1OfListOfInteger & | Assign (const TColStd_Array1OfListOfInteger &Other)
const TColStd_Array1OfListOfInteger & | operator= (const TColStd_Array1OfListOfInteger &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const TColStd_ListOfInteger &Value)
const TColStd_ListOfInteger & | Value (const Standard_Integer Index) const
const TColStd_ListOfInteger & | operator() (const Standard_Integer Index) const
TColStd_ListOfInteger & | ChangeValue (const Standard_Integer Index)
TColStd_ListOfInteger & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | TColStd_Array1OfListOfInteger (const TColStd_Array1OfListOfInteger &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_Array1OfListOfInteger::TColStd_Array1OfListOfInteger | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TColStd_Array1OfListOfInteger::TColStd_Array1OfListOfInteger | ( | const TColStd_ListOfInteger & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

TColStd_Array1OfListOfInteger::~TColStd_Array1OfListOfInteger | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_Array1OfListOfInteger::TColStd_Array1OfListOfInteger | ( | const TColStd_Array1OfListOfInteger & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const TColStd_Array1OfListOfInteger& TColStd_Array1OfListOfInteger::Assign | ( | const TColStd_Array1OfListOfInteger & | Other | ) |

TColStd_ListOfInteger& TColStd_Array1OfListOfInteger::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TColStd_Array1OfListOfInteger::Destroy | ( |  | ) |

Standard_EXPORT void TColStd_Array1OfListOfInteger::Init | ( | const TColStd_ListOfInteger & | V | ) |

Standard_Boolean TColStd_Array1OfListOfInteger::IsAllocated | ( |  | ) | const

Standard_Integer TColStd_Array1OfListOfInteger::Length | ( |  | ) | const

Standard_Integer TColStd_Array1OfListOfInteger::Lower | ( |  | ) | const

void TColStd_Array1OfListOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_Array1OfListOfInteger::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_Array1OfListOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TColStd_ListOfInteger& TColStd_Array1OfListOfInteger::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const TColStd_ListOfInteger& TColStd_Array1OfListOfInteger::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TColStd_Array1OfListOfInteger& TColStd_Array1OfListOfInteger::operator= | ( | const TColStd_Array1OfListOfInteger & | Other | ) | `[inline]`

void TColStd_Array1OfListOfInteger::SetValue | ( | const Standard_Integer | Index,
|  | const TColStd_ListOfInteger & | Value
| ) |

Standard_Integer TColStd_Array1OfListOfInteger::Upper | ( |  | ) | const

const TColStd_ListOfInteger& TColStd_Array1OfListOfInteger::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean TColStd_Array1OfListOfInteger::isAllocated `[private]`

Standard_Integer TColStd_Array1OfListOfInteger::myLowerBound `[private]`

Standard_Address TColStd_Array1OfListOfInteger::myStart `[private]`

Standard_Integer TColStd_Array1OfListOfInteger::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- TColStd_Array1OfListOfInteger.hxx